# Generated by Django 4.2.7 on 2024-01-29 01:45

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CarreraGEPT',
            fields=[
                ('idCarreraGEPT', models.AutoField(primary_key=True, serialize=False)),
                ('nombreCarreraGEPT', models.CharField(max_length=150)),
                ('directorCarreraGEPT', models.CharField(max_length=150)),
                ('logoCarreraGEPT', models.FileField(blank=True, null=True, upload_to='carreras')),
                ('facultadCarreraGEPT', models.CharField(max_length=150)),
                ('modalidadCarreraGEPT', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='CursoGEPT',
            fields=[
                ('idCursoGEPT', models.AutoField(primary_key=True, serialize=False)),
                ('nivelCursoGEPT', models.CharField(max_length=150)),
                ('descripcionCursoGEPT', models.TextField()),
                ('aulaCursoGEPT', models.CharField(max_length=150)),
                ('bloqueCursoGEPT', models.CharField(max_length=150)),
                ('horarioCursoGEPT', models.CharField(max_length=150)),
                ('carrera', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Facultad.carreragept')),
            ],
        ),
        migrations.CreateModel(
            name='AsignaturaGEPT',
            fields=[
                ('idAsignaturaGEPT', models.AutoField(primary_key=True, serialize=False)),
                ('nombreAsignaturaGEPT', models.CharField(max_length=150)),
                ('creditosAsignaturaGEPT', models.CharField(max_length=150)),
                ('fechaInicioAsignaturaGEPT', models.CharField(max_length=150)),
                ('fechaFinalizacionAsignaturaGEPT', models.CharField(max_length=150)),
                ('profesorAsignaturaGEPT', models.CharField(max_length=150)),
                ('silaboAsignaturaGEPT', models.FileField(blank=True, null=True, upload_to='asignaturas')),
                ('horaSemanalAsignaturaGEPT', models.CharField(max_length=150)),
                ('semestreAsignaturaGEPT', models.CharField(max_length=150)),
                ('curso', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Facultad.cursogept')),
            ],
        ),
    ]
